%if %{?_with_genders:1}%{!?_with_genders:0}
%define _enable_genders --enable-genders
%endif
%if %{?_without_genders:1}%{!?_without_genders:0}
%define _disable_genders --disable-genders
%endif

# rpmlint complaints are spurious apart from incorrect-fsf-address

Name: libopensmskummeeplugin
Version: 2.1.0
Release: 3%{?dist}

Summary: OpenSM PerfMgr plugin to update MySQL/Skummee
License: GPLv2 or BSD
URL: https://github.com/weiny2/libopensmskummeeplugin
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/libopensmskummeeplugin-2.1.0-1
# From make dist in clone of
# https://github.com/weiny2/libopensmskummeeplugin.git
Source: libopensmskummeeplugin-2.1.0.tar.gz
# Fix non-existent macro and don't write to /tmp insecurely
Patch1: libopensmskummeeplugin-inst.patch
# Use unsigned guids (a problem in practice) and don't use display width 64
Patch2: libopensmskummeeplugin-sql.patch
# Declare isspace and fix format type error on 64-bit systems
Patch3: libopensmskummeeplugin-types.patch
# Fix -Wall warnings
Patch4: libopensmskummeeplugin-warn.patch
# Avoid "Unknown event" in log
Patch5: libopensmskummeeplugin-unknown.patch
#Requires: opensm mysql glib
#BuildRequires: opensm-devel mysql-devel glib-devel pkgconfig
# chaos build specific.
%define _enable_genders --enable-genders
# It won't load into an opensm of the wrong version
Requires: opensm%{?_isa} == %(rpm -q opensm --queryformat '%%{VERSION}')
Requires: genders%{?_isa}
# 3.3.17 crashes with plugin; 3.3.18 may actually be OK.
BuildRequires: opensm-devel >= 3.3.19
BuildRequires: libibumad-devel
BuildRequires: mysql-devel glib-devel pkgconfig libgenders-devel automake

%description
libopensmskummeeplugin provides a plugin to integrate the OpenSM PerfMgr events
to the skummee monitoring system or just a MySQL database.

%prep
%setup -q
%patch1 -p0 -b .inst
%patch2 -p1 -b .sql
%patch3 -p1 -b .types
%patch4 -p1 -b .warn
%patch5 -p1 -b .unknown
automake --foreign
# --sysconfdir wasn't effective with original configure for some reason
autoconf

%build
%configure \
        %{?_enable_genders} \
        %{?_disable_genders} \
        CPPFLAGS="-I%_includedir/infiniband -DARCH=__isa_bits" LDFLAGS=-L%_libdir/mysql
make %{?smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_libdir}/libopensmskummeeplugin*.so.*
%{_libdir}/libopensmskummeeplugin*.a
%{_libdir}/libopensmskummeeplugin*.so
%{_sbindir}/*.pl
%{_sbindir}/opensmskummeequery
%doc ChangeLog
%doc INSTALL
%doc README
%{_mandir}/man8/*
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/libopensmskummee.conf

%changelog
* Tue May 12 2015 Dave Love <d.love@liverpool.ac.uk> - 2.1.0-3
- Patch2 for unsigned guids
- Patch3 for C types
- Patch4 to silence -Wall
- Patch5 to avoid "Unknown event" in log
- Require correct version of opensm
- BR libibumad-devel

* Thu Mar  5 2015 Dave Love <d.love@liverpool.ac.uk> - 2.1.0-2
- Modifications for Fedora atop bundled version
- Regenerate configure
- Fix License, Requires, URL
- Parallelize build
- BR libgenders-devel, not genders
- Remove a defattr
- Modify summary, description
- Fix configure for devel file locations
- Add patch for installation
